TIMEOUT(1)

BEZEICHNUNG
timeout - Einen Befehl mit einer Zeitbeschränkung ausführen

ÜBERSICHT
timeout [OPTION] DAUER BEFEHL [ARGUMENT]…
timeout [OPTION]

BESCHREIBUNG

BEFEHL ausführen und, falls er nach DAUER immer noch läuft, beenden

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--preserve-status

    beendet sich sogar dann mit dem selben Status wie BEFEHL, auch wenn

     der Befehl die Zeit überschreitet.

--foreground

    Falls timeout nicht direkt aus einem Shellprompt aufgerufen wird,

    wird dem BEFEHL erlaubt, aus dem TTY zu lesen und TTY-Signale zu empfangen. In diesem Modus läuft die Zeit für Kindprozesse von BEFEHL nicht ab.

-k, --kill-after=DAUER

    Außerdem ein KILL-Signal senden, falls BEFEHL dies

    noch nach der DAUER nachdem das anfängliche Signal gesandt wurde, ausgeführt wird.

-s, --signal=SIGNAL

    Das Signal angeben, das bei einer Zeitüberschreitung gesandt werden soll.

    SIGNAL könnte eine Name, wie »HUP«, oder eine Nummer sein. Lesen Sie »kill -l«, um eine Liste der Signale zu erhalten.

-v, --verbose
    Jedes Signal, das bei einer Zeitüberschreitung gesandt werden soll, auf die Standardfehlerausgabe bestimmen.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

DAUER ist eine Fließkommazahl mit optionaler Endung: »s« für Sekunden (Vorgabe), »m« für Minuten, »h« für Stunden oder »d« für Tage. Eine Dauer von 0 deaktiviert die zugehörige Zeitüberschreitung.

Bei einer Zeitüberschreitung wird das TERM-Signal an den BEFEHL gesendet, sofern kein anderes SIGNAL angegeben ist. Das Signal TERM beendet jegliche Prozesse, die dieses Signal nicht abblocken oder abfangen. Es muss eventuell das Signal KILL benutzt werden, da dieses Signal nicht abgefangen werden kann.

  Rückgabewert:

124 falls der BEFEHL die Zeit überschreitet und --preserve-status nicht angegeben ist

125 falls der timeout-Befehl selbst fehlschlägt

126 falls der BEFEHL zwar gefunden wurde, aber nicht aufgerufen werden kann

127 falls der BEFEHL nicht gefunden wurde

137 falls der Befehl (oder timeout selbst) das KILL(9)-Signal empfangen hat (128+9)

-   ansonsten der Rückgabewert des BEFEHLs

FEHLER
Einige Plattformen unterstützen derzeit keine Zeitüberschreitungen über das Jahr 2038 hinaus.

AUTOR
Geschrieben von Pádraig Brady.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
kill(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/timeout>
oder lokal verfügbar mit: info '(coreutils) timeout invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org>, Chris Leick <c.leick@vollbio.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).